Atualizar atividade ao vivo
/messages/live_activity/update
Use este endpoint para atualizar e encerrar atividades ao vivo exibidas pelo seu app iOS. Este endpoint requer configuração adicional.
Depois de registrar uma atividade ao vivo, você pode passar uma carga útil JSON para atualizar seu serviço de Notificações por Push da Apple (APNs). Consulte a documentação da Apple sobre atualizar sua atividade ao vivo com cargas úteis de notificação por push para saber mais.
Se content-available não estiver definido, a prioridade padrão do serviço de Notificações por Push da Apple (APNs) é 10. Se content-available estiver definido, essa prioridade é 5. Consulte objeto de push da Apple para mais detalhes.
Pré-requisitos
Para usar este endpoint, você precisará concluir o seguinte:
- Gere uma chave de API com a permissão
messages.live_activity.update. - Registre uma atividade ao vivo remotamente ou localmente usando o SDK Swift da Braze.

Se a carga útil final renderizada for maior do que o tamanho máximo permitido pelo serviço correspondente, o envio não será bem-sucedido.
Limite de taxa
Aplicamos o limite de taxa padrão da Braze de 250.000 solicitações por hora a esse endpoint, conforme documentado em Limites de taxa da API.
Corpo da solicitação
1
2
3
4
5
6
7
8
9
{
"app_id": "(required, string) App API identifier retrieved from the Developer Console.",
"activity_id": "(required, string) When you register your Live Activity using launchActivity, you use the pushTokenTag parameter to name the Activity’s push token to a custom string. Set activity_id to this custom string to define which Live Activity you want to update.",
"content_state": "(required, object) You define the ContentState parameters when you create your Live Activity. Pass the updated values for your ContentState using this object. The format of this request must match the shape you initially defined.",
"end_activity": "(optional, boolean) If true, this request ends the Live Activity.",
"dismissal_date": "(optional, datetime in ISO-8601 format) The time to remove the Live Activity from the user’s UI. If this time is in the past, the Live Activity will be removed immediately.",
"stale_date": "(optional, datetime in ISO-8601 format) The time the Live Activity content is marked as outdated in the user’s UI.",
"notification": "(optional, object ) Include an `apple_push` object to define a push notification that creates an alert for the user."
}
Request parameters
| Parameter | Required | Data Type | Description |
|---|---|---|---|
app_id |
Required | String | App API identifier retrieved from the API Keys page. |
activity_id |
Required | String | When you register your Live Activity using launchActivity, you use the pushTokenTag parameter to name the Activity’s push token to a custom string.Set activity_id to this custom string to define which Live Activity you want to update. |
content_state |
Required | Object | You define the ContentState parameters when you create your Live Activity. Pass the updated values for your ContentState using this object.The format of this request must match the shape you initially defined. |
end_activity |
Optional | Boolean | If true, this request ends the Live Activity. |
dismissal_date |
Optional | Datetime (ISO-8601 string) |
This parameter defines the time to remove the Live Activity from the user’s UI. If this time is in the past and end_activity is true, the Live Activity will be removed immediately.If end_activity is false or omitted, this parameter only updates the Live Activity. |
stale_date |
Optional | Datetime (ISO-8601 string) |
This parameter tells the system when the Live Activity content is marked as outdated in the user’s UI. |
notification |
Optional | Object | Include an apple_push object to define a push notification. The behavior of this push notification depends on if the user is active or if the user is using a proxy device.
|
Example request
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
curl --location --request POST 'https://rest.iad-01.braze.com/messages/live_activity/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {YOUR-REST-API-KEY}' \
--data-raw '{
"app_id": "{YOUR-APP-API-IDENTIFIER}",
"activity_id": "live-activity-1",
"content_state": {
"teamOneScore": 2,
"teamTwoScore": 4
},
"end_activity": false,
"dismissal_date": "2023-02-28T00:00:00+0000",
"stale_date": "2023-02-27T16:55:49+0000",
"notification": {
"alert": {
"body": "It's halftime! Let's look at the scores",
"title": "Halftime"
}
}
}'
Resposta
Existem dois códigos de status para este endpoint: 201 e 4XX.
Exemplo de resposta bem-sucedida
Um código de status 201 é retornado se a solicitação foi formatada corretamente e a recebemos. O código de status 201 pode retornar o seguinte corpo de resposta.
1
2
3
{
"message": "success"
}
Exemplo de resposta de erro
A classe de código de status 4XX indica um erro do cliente. Consulte o artigo erros e respostas da API para saber mais sobre os erros que você pode encontrar.
O código de status 400 pode retornar o seguinte corpo de resposta.
1
2
3
{
"error": "\nProblem:\n message body does not match declared format\nResolution:\n when specifying application/json as content-type, you must pass valid application/json in the request's 'body' "
}